GMX-CLUSTSIZE(1)

NAME
gmx-clustsize - Calculate size distributions of atomic clusters

SYNOPSIS

gmx clustsize [-f [<.xtc/.trr/...>]] [-s [<.tpr>]] [-n [<.ndx>]]
             [-o [<.xpm>]] [-ow [<.xpm>]] [-nc [<.xvg>]]
             [-mc [<.xvg>]] [-ac [<.xvg>]] [-hc [<.xvg>]]
             [-temp [<.xvg>]] [-mcn [<.ndx>]] [-b <time>] [-e <time>]
             [-dt <time>] [-tu <enum>] [-[no]w] [-xvg <enum>]
             [-cut <real>] [-[no]mol] [-[no]pbc] [-nskip <int>]
             [-nlevels <int>] [-ndf <int>] [-rgblo <vector>]
             [-rgbhi <vector>]

DESCRIPTION

gmx clustsize computes the size distributions of molecular/atomic clusters in the gas phase. The output is given in the form of an .xpm file. The total number of clusters is written to an .xvg file.

When the -mol option is given clusters will be made out of molecules rather than atoms, which allows clustering of large molecules. In this case an index file would still contain atom numbers or your calculation will die with a SEGV.

When velocities are present in your trajectory, the temperature of the largest cluster will be printed in a separate .xvg file assuming that the particles are free to move. If you are using constraints, please correct the temperature. For instance water simulated with SHAKE or SETTLE will yield a temperature that is 1.5 times too low. You can compensate for this with the -ndf option. Remember to take the removal of center of mass motion into account.

The -mc option will produce an index file containing the atom numbers of the largest cluster.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-s [<.tpr>] (topol.tpr) (Optional)
    Portable xdr run input file

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-o [<.xpm>] (csize.xpm)
    X PixMap compatible matrix file

-ow [<.xpm>] (csizew.xpm)
    X PixMap compatible matrix file

-nc [<.xvg>] (nclust.xvg)
    xvgr/xmgr file

-mc [<.xvg>] (maxclust.xvg)
    xvgr/xmgr file

-ac [<.xvg>] (avclust.xvg)
    xvgr/xmgr file

-hc [<.xvg>] (histo-clust.xvg)
    xvgr/xmgr file

-temp [<.xvg>] (temp.xvg) (Optional)
    xvgr/xmgr file

-mcn [<.ndx>] (maxclust.ndx) (Optional)
    Index file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-cut <real> (0.35)
    Largest distance (nm) to be considered in a cluster

-[no]mol (no)
    Cluster molecules rather than atoms (needs .tpr file)

-[no]pbc (yes)
    Use periodic boundary conditions

-nskip <int> (0)
    Number of frames to skip between writing

-nlevels <int> (20)
    Number of levels of grey in .xpm output

-ndf <int> (-1)
    Number of degrees of freedom of the entire system for temperature calculation. If not set, the number of atoms times three is used.

-rgblo <vector> (1 1 0)
    RGB values for the color of the lowest occupied cluster size

-rgbhi <vector> (0 0 1)
    RGB values for the color of the highest occupied cluster size

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team